### Method

# EDataServer WebDAVSession new_message

since: 3.26

#### Declaration [src]

    SoupMessage*
    e_webdav_session_new_message (
      EWebDAVSession* webdav,
      const gchar* method,
      const gchar* uri,
      GError** error
    )

#### Description

No description available.

Available since: 3.26

#### Parameters

`method`

  Type: `const gchar*`

  An HTTP method.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`uri`

  Type: `const gchar*`

  URI to create the request for, or `NULL` to read from `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SoupMessage`

A new `SoupMessage` for the given `uri`, or, when `NULL`, for the URI stored in the associated `ESource`. Free the returned structure with g_object_unref(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.